{% sw_extends '@Storefront/storefront/layout/header/search-suggest.html.twig' %}

{% block layout_search_suggest %}
    <div class="search-suggest js-search-result">
        {% block layout_search_suggest_container %}
            <div class="search-suggest-container">
                <ul class="search-suggest-list">
                    {% block layout_search_suggest_results %}
                        {% for product in page.searchResult %}
                            {% block layout_search_suggest_result_product %}
                                <li class="search-suggest-product js-result">
                                    {% block layout_search_suggest_result_link %}
                                        <a href="{{ seoUrl('frontend.detail.page', {'productId': product.id}) }}"
                                           title="{{ product.translated.name }}"
                                           class="search-suggest-product-link">
                                            {% block layout_search_suggest_result_image %}
                                                <div class="search-suggest-product-image-container">
                                                    {% if product.cover.media.url %}
                                                        {% sw_thumbnails 'search-suggest-product-image-thumbnails' with {
                                                            media: product.cover.media,
                                                            sizes: {
                                                                'default': '100px'
                                                            },
                                                            attributes: {
                                                                'class': 'search-suggest-product-image',
                                                                'alt': (product.cover.media.translated.alt ?: ''),
                                                                'title': (product.cover.media.translated.title ?: '')
                                                            }
                                                        } %}
                                                    {% else %}
                                                        {% sw_icon 'placeholder' style {
                                                            'size': 'lg'
                                                        } %}
                                                    {% endif %}
                                                </div>
                                            {% endblock %}

                                            {% block layout_search_suggest_result_name %}
                                                <div class="search-suggest-product-name">
                                                    {{ product.translated.name }}
                                                </div>
                                            {% endblock %}
                                        </a>
                                    {% endblock %}
                                </li>
                            {% endblock %}
                        {% endfor %}
                    {% endblock %}

                    {% block layout_search_suggest_result_total %}
                    {% endblock %}
                </ul>
        {% endblock %}

            {% block sysea_layout_search_suggest_result_total %}
                {% if page.searchResult.total == 0 %}
                    <div class="search-suggest-no-result">
                        {{ "header.searchNoResult"|trans|sw_sanitize }}
                    </div>
                {% else %}

                    <div class="js-result search-suggest-total">
                        <a href="{{ path('frontend.search.page') }}?search={{ page.searchTerm }}"
                           title="{{ "header.searchAllResults"|trans|striptags }}"
                           class="search-suggest-total-link">
                            {{ "header.searchAllResults"|trans|sw_sanitize }}
                        </a>

                        <div class="search-suggest-total-count">
                            {{ "header.searchResults"|trans({
                                '%count%': page.searchResult.total,
                            })|sw_sanitize }}
                        </div>
                    </div>
                {% endif %}
            {% endblock %}
        </div>
    </div>
{% endblock %}
